<?php

namespace Drp\NativeEventApp\GraphQL\Resolvers;

use Drp\NativeEventApp\Auth\Facades\AuthInfoFinder;
use Drp\NativeEventApp\Models\Menu;
use Drp\NativeEventApp\Models\Registration;
use Illuminate\Support\Collection;

class MenuItemsResolver
{
    public function __invoke(Menu $menu): Collection // phpcs:ignore
    {
        $authenticatable = AuthInfoFinder::current();
        /** @var Registration $registration */
        $registration = Registration::forEventAndAuthenticatable($menu->navigation->event, $authenticatable)->first();

        return $menu->items()->viewableBy($registration)->get();
    }
}
