<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Agenda extends Model
{
    /** @var string  */
    protected $table = 'agendas';

    /** @var bool */
    public $timestamps = false;

    public function event(): BelongsTo
    {
        return $this->belongsTo(Event::class, 'eventId');
    }

    public function items(): HasMany
    {
        return $this->hasMany(AgendaItem::class, 'agendaId');
    }
}
