<?php

namespace Drp\NativeEventApp\Test\Unit;

use Carbon\Carbon;
use Drp\NativeEventApp\Models\FailedNotification;
use Drp\NativeEventApp\Test\TestCase;

class FailedNotificationTest extends TestCase
{
    /** @test */
    public function it_can_get_the_original_notification(): void
    {
        Carbon::setTestNow('06-04-2020 13:00');

        $failedNotification = factory(FailedNotification::class)->create();

        $notification = $failedNotification->notification;

        $this->assertNotNull($notification);
        $this->assertNotNull($notification->sent_at);
    }

    /** @test */
    public function it_can_get_the_device(): void
    {
        Carbon::setTestNow('06-04-2020 13:00');

        $failedNotification = factory(FailedNotification::class)->create();

        $device = $failedNotification->device;

        $this->assertNotNull($device);
        $this->assertNotNull($device->auth_identifier);
    }
}
